HMMTrainer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.HMMTrainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Interface HMMTrainer

All Known Implementing Classes:
  SimpleHMMTrainer

    public interface HMMTrainer

interface implemented by objects that train HMMs.

Author:
  David Huen

Method Summary
`void` | `completeCycle()` indicate that a cycle of training is completed and the emission/transition matrices should be updated.
`void` | `recordEmittedSymbol(State state, Symbol symbol, double weight)` record that the specified symbol was emitted from the specified state.
`void` | `recordTransition(State source, State dest, double weight)` record that a transition was observed between the specified states.
`void` | `startCycle()` called to put the trainer into an initial state for a new round of training.

Method Detail

### startCycle

    void startCycle()

  called to put the trainer into an initial state for a new round of training.

### recordEmittedSymbol

    void recordEmittedSymbol(State state,
                             Symbol symbol,
                             double weight)
                             throws IllegalSymbolException

  record that the specified symbol was emitted from the specified state.

  Throws:
    `IllegalSymbolException`

### recordTransition

    void recordTransition(State source,
                          State dest,
                          double weight)
                          throws IllegalArgumentException

  record that a transition was observed between the specified states.

  Throws:
    `IllegalArgumentException`

### completeCycle

    void completeCycle()
                       throws BioException

  indicate that a cycle of training is completed and the emission/transition matrices should be updated.

  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD